<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link
            rel="stylesheet"
            href="https://use.fontawesome.com/releases/v5.7.1/css/all.css"
            integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr"
            crossorigin="anonymous"
    />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Homework-buttons</title>
    <style>
        .password-form {
            display: flex;
            flex-direction: column;
        }
        .input-wrapper {
            position: relative;
            width: 200px;

        }

        .input-wrapper input {
            min-width: 120px;
            padding: 10px;
            margin-bottom: 24px;
        }

        .input-wrapper i {
            position: absolute;
            right: 25px;
            top: 30px;
            color: grey;
        }

        .btn{
            width: 150px;
        }
    </style>
</head>
<body>
<form target="myIFR" class="password-form">
    <label class="input-wrapper">
        Ввести пароль
        <input type="password" id="passwd" name="passwd">
        <i class="fa fa-eye showpwd" onClick="showPwd('passwd', this)">   </i>
    </label>
    <label class="input-wrapper">
        Подтвердить пароль
        <input type="password" id="pass" name="pass"/>
        <i class="fa fa-eye showpwd" onClick="showPwd('pass', this)"></i>
    </label>
    <button type="submit"  class="btn" onClick="srav()" >Подтвердить</button>
</form>
<iframe name="myIFR" style="display: none"></iframe>
<script>
    function showPwd(id, el) {
        let x = document.getElementById(id);
        if (x.type === "password") {
            x.type = "text";
            el.className = 'fa fa-eye-slash showpwd';
        } else {
            x.type = "password";
            el.className = 'fa fa-eye showpwd';
        }
    }
    let input = document.getElementById('pass')
    let incorectValue = document.createElement("span");

    function srav(){
        let passwd = document.getElementById('passwd');
        let pass = document.getElementById('pass');
        if (passwd.value === pass.value){
            alert ("You are welcome");
        } else {
            incorectValue.innerText = "Нужно ввести одинаковые значения";
            input.after(incorectValue);
        }
    }
</script>
</body>
</html>
